# Authentication API Obtain an OAuth2 access token from Amazon Cognito using the **client_credentials** grant. The returned `access_token` must be sent as a `Bearer` token in the `Authorization` header when calling the Check In Service API endpoints defined in [openapi.yaml](openapi.yaml). Version: 1.0.0 ## Servers Authentication Server ``` https://cps-poc-api-access.auth.eu-south-2.amazoncognito.com ``` ## Download OpenAPI description [Authentication API](https://developer.corpay-lodging.com/_bundle/API/auth.yaml) ## Authentication ### Obtain Access Token - [POST /oauth2/token](https://developer.corpay-lodging.com/api/auth/authentication/getaccesstoken.md): Exchange client credentials for a bearer token. Equivalent curl request: curl --location 'https://cps-poc-api-access.auth.eu-south-2.amazoncognito.com/oauth2/token' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data-urlencode 'grant_type=client_credentials' \ --data-urlencode 'client_id=' \ --data-urlencode 'client_secret='